Skip to content

List payments recorded against an invoice

GET
/api/public/v1/invoices/{invoice_id}/payments
Code sample: cURL
curl --request GET \
--url 'https://api.getzutax.com/api/public/v1/invoices/f3df2967-7cbe-4cca-8c8c-975ee2f6857f/payments' \
--header 'Authorization: Bearer <token>'
invoice_id
required
Invoice Id
string format: uuid

Successful Response

Media type application/json
Response List Payments Api Public V1 Invoices Invoice Id Payments Get
Array<object>
PaymentResponse
object
id
required
Id
string format: uuid
external_id
required
Any of:
string
invoice_id
required
Invoice Id
string format: uuid
amount_naira
required
Amount Naira
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
method
required
Method
string
Allowed values: flutterwave bank_transfer cash manual
reference
required
Any of:
string
received_at
required
Received At
string format: date-time
Examples
Example Sample response

200 response example

[
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "string",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"amount_naira": "100.00",
"method": "flutterwave",
"reference": "string",
"received_at": "2026-02-11T10:00:00Z"
}
]

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples
Example Sample response

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}